### Method

# Clutter Actor unrealize

deprecated: 1.16

#### Declaration [src]

    void
    clutter_actor_unrealize (
      ClutterActor* self
    )

#### Description [src]

Unrealization informs the actor that it may be being destroyed or moved to another stage. The actor may want to destroy any underlying graphics resources at this point. However it is perfectly acceptable for it to retain the resources until the actor is destroyed because Clutter only ever uses a single rendering context and all of the graphics resources are valid on any stage.

Because mapped actors must be realized, actors may not be unrealized if they are mapped. This function hides the actor to be sure it isn’t mapped, an application-visible side effect that you may not be expecting.

This function should not be called by application code.

This function should not really be in the public API, because there isn’t a good reason to call it. ClutterActor will already unrealize things for you when it’s important to do so.

If you were using `clutter_actor_unrealize()` in a dispose implementation, then don’t, just chain up to ClutterActor’s dispose.

If you were using `clutter_actor_unrealize()` to implement unrealizing children of your container, then don’t, ClutterActor will already take care of that.

Deprecated since: 1.16

Actors are automatically unrealized, and nothing requires explicit realization.